Unit tde38e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE38E_p, DE38E_p;

function tde38e: String;

implementation

function tde38e: String;
var
_i,J,I,IERR :Integer;
X,XN,P,H,HMIN,EPS :Extended;
YN :Array [0..1] of Extended;
DYN :Array [0..1] of Extended;
YX :Array [0..1] of Extended;
DYX :Array [0..1] of Extended;
Z :Array [0..1] of Extended;
DF :Array [0..9] of Extended;
RFN :Array [0..1] of Extended;
RF :Array [0..1] of Extended;
R :Array [0..1] of Extended;
begin
Result := '';  {   }
YN[0] := 1.e0;
YN[1] := -1.e0;
DYN[0] := 1.5e0;
DYN[1] := -0.5e0;
XN := 0.e0;
P := 100.e0;
H := 0.01e0;
HMIN := 1.e-11;
EPS := 0.0001e0;
DE38E(FDE38E,2,5,XN,YN,DYN,HMIN,EPS,P,H,X,YX,DYX,Z,
     DF,RFN,RF,R,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%6d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%20.16f',[X]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[YX[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[DYX[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Z[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for J:=1 to 5 do
 begin
  for I:=1 to 2 do
   begin
    Result := Result + Format('%20.16f ',[DF[(I-1)+(J-1)*2]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('tde38e',Result);  {     tde38e.res }
exit;
end;

end.
